using System;
using Server;

namespace Server.Items
{
	public class BowOfTheDarkElf : CompositeBow
	{
		public override int ArtifactRarity{ get{ return 11; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public BowOfTheDarkElf()
		{
			Name = "Bow of the Dark Elf"; 
			Hue = 0x497;
			Attributes.WeaponDamage = 60;
			Attributes.WeaponSpeed = 30;
			Attributes.AttackChance = 15;
			WeaponAttributes.HitHarm = 50;
			MaxRange = 15;
			Slayer = SlayerName.Repond; 

		}

		public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{
			phys = 100;

				nrgy =  fire = cold = pois = 0;
		}

		public BowOfTheDarkElf( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}